Subject: Re: bug#62237: 28.1 or higher: 24-bit true color breaks colours in Emacsen built without X under GNU Screen

From: Robert Pluim <[email-masked]>
Date: Sat, 18 Mar 2023 10:05:49 +0100

>>>>> On Fri, 17 Mar 2023 20:55:23 +0200, Eli Zaretskii <[email-masked]> said:
    >> machines you are able to do a rlogin and still keep the  correct  term‐
    --> cap/terminfo  entry.  The terminal name is put in the $TERM variable of
    >> all new windows.  Screen also sets the $TERMCAP variable reflecting the
    >> capabilities of the virtual terminal emulated. Notice that, however, on
    >> machines using the terminfo database this variable has no effect.  Fur‐
    >> thermore, the variable $WINDOW is set to the window number of each win‐
    >> dow.

    Eli> This seems to tell how 'screen' figures out the terminal name, not how
    Eli> it sets TERM.  I asked who and why sets TERM to screen.SOMETHING.

screen does: "The terminal name is put in the $TERM variable of all new windows."

Robert
--